The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Application Traffic

Prev Next

This URL gets the list of application traffic.

Resource URL

GET /ntbamonitors/{ntbaId}/applicationtraffic? TopN=<TopN> &startTime=<startTime>&endTime=<endTime>&direction=<direction>&frequency=<frequency>

Request Parameters

Field Name

Description

Data Type

Mandatory

ntbaId

NTBA monitor id

Number

Yes

TopN

Number of top rows, default 50.

Number

No

startTime

Start time in the format: yyyy-MM-dd HH:mm

String

No

endTime

End time in the format: yyyy-MM-dd HH:mm

String

No

direction

Direction:

Bidirectional

Inbound

Outbound

String

No

frequency

Frequency:

1min

10mins

Hourly

Daily

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

applicationsTraffic

Application traffic

Array

Details of applicationsTraffic:

Field Name

Description

Data Type

application

Application name

String

applicationId

Application id

Number

inbound

Inbound traffic

String

outbound

Outbound traffic

String

total

Total

String

Example

Request

GET https://<NSM_IP>/sdkapi/ntbamonitors/1006/applicationtraffic?startTime=2012-APR-20 12:15&endTime=2012-APR-20 12:11

Response

{"applicationsTraffic":[
 {"application":"FTP","applicationId":1191186432,
"inbound":"7M",
"outbound":"7M",
"total":"15M"
}]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

4301

Invalid duration

2

400

4302

Invalid time format

3

400

4303

Start time is greater than end time

4

400

4304

Invalid date format

5

400

4305

Start/End date is not provided

6

400

4306

Invalid NTBA id